<?php

/**
 * @file
 * Views integration for the car module.
 */

/**
 * Implements hook_views_data().
 */
function car_views_data() {
  // Basic table information.
  $data['car']['table']['group'] = t('Cars');

  // Advertise this table as a possible base table
  $data['car']['table']['base'] = array(
    'field' => 'cid',
    'title' => t('Cars'),
    'weight' => -10,
    //'access query tag' => 'node_access',
    'defaults' => array(
      'field' => 'name',
    ),
  );

  // {car}.cid
  $data['car']['cid'] = array(
    'title' => t('Cid'),
    'help' => t('The car ID.'),
    'field' => array(
      'handler' => 'views_handler_field_node',
      'click sortable' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
    //'argument' => array(
    //  'handler' => 'views_handler_argument_car_cid',
    //  'name field' => 'name',
    //  'numeric' => TRUE,
    //  'validate type' => 'cid',
    //),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  // {car}.name
  $data['car']['name'] = array(
    'title' => t('Name'),
    'help' => t('The car name.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
      'allow empty' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  // {car}.uid
  $data['car']['uid'] = array(
    'title' => t('Owner'),
    'help' => t('Relate cars to the user who owns it.'),
    'relationship' => array(
      'handler' => 'views_handler_relationship',
      'base' => 'users',
      'field' => 'uid',
      'label' => t('user'),
    ),
  );

  return $data;
}
